Subject: Re: bug#21921: New function comment-line also comments first line after region

From: Artur Malabarba <[email-masked]>
Date: Mon, 16 Nov 2015 09:02:12 +0000

On 15 Nov 2015 11:45 am, "Rasmus" <[email-masked]> wrote:
> >
> > Yet pressing C-x C-; comments out all three lines. I find this second
example especially confusing.
> >
> > Is this behaviour only surprising to me?
>
> Perhaps the confusion is caused by region not being displayed at column
> zero.
>
> The behavior is correct IMO.
>
> For your particular examples, comment-dwim does what you want, it seems.
>
> Hope it helps,
> Rasmus

Indeed. When I was deciding how comment-line should work on a region, I
specifically chose to not make it identical to comment-dwim.

Maybe it should still treat the "region ends at a newline" case specially.
Some emacs commands do that already.
Not sure though, since that would be slightly redundant with comment-dwim.